<?php

declare(strict_types=1);

namespace mirzaev\vk\robot\bobby\programs;

// Фреймворк ВКонтакте
use mirzaev\vk\robots\robot;

// Модуль чат-робота для фреймворка ВКонтакте
use mirzaev\vk\chat\core,
    mirzaev\vk\chat\program;

/**
 * Программа: "генератор кнопок"
 *
 * Обрабатывает "[название|авторизованные|*ролевое действие*] в кнопку и
 * соответствующее ей действие или сообщение, в зависимости от параметров
 *
 * @package mirzaev\vk\robot\bobby\programs
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class buttons_generator extends program
{
    /**
     * Конструктор
     *
     * @param robot $robot Робот, который будет выполнять команду
     * @param array $accounts Реестр аккаунтов которым разрешено выполнять команду
     */
    public function __construct(
        public robot $robot,
        public array $accounts = []
    ) {
        parent::__construct(function (core $core, robot $robot, array &$update, string ...$buttons): void {
            var_dump($buttons); die;
        }, $robot, $accounts);
    }
}
