<?php

declare(strict_types=1);

namespace mirzaev\vk\robot\bobby\programs;

// Фреймворк ВКонтакте
use mirzaev\vk\robots\robot;

// Модуль чат-робота для фреймворка ВКонтакте
use mirzaev\vk\chat\core,
    mirzaev\vk\chat\program;

// Встроенные библиотеки
use Closure,
    Exception;

/**
 * Программа: "переменные"
 *
 * Обрабатывает (название: значение) в переменные хранимые в ядре
 *
 * @package mirzaev\vk\robot\bobby\programs
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class variables extends program
{
    /**
     * Конструктор
     *
     * @param callable $program Программа выполняемая командой
     * @param robot $robot Робот, который будет выполнять команду
     * @param array $accounts Реестр аккаунтов которым разрешено выполнять команду
     */
    public function __construct(
        public robot $robot,
        public array $accounts = []
    ) {
        parent::__construct(function (core $core, robot $robot, array &$update, string ...$text): void {

        }, $robot, $accounts);
    }
}
